Subject: Re: bug#51308: bug#52138: 29.0.50; Some tests fail on emba when run with native compilation

From: Eli Zaretskii <[email-masked]>
Date: Sun, 13 Mar 2022 07:45:43 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sat, 12 Mar 2022 22:32:57 +0100
> Cc: [email-masked], Andrea Corallo <[email-masked]>
> 
> > Returning the .elc file would fix this, but I don't know what other
> > repercussions there might be.
> 
> I've now done this change (which fixes this test failure), and I don't
> see any other regressions, so I've pushed it to Emacs 29.

Did you check that loading a .elc file via load-library still triggers
async native-compilation when there's no .eln file or it is not
up-to-date with the .el file?  And what about loading a .el or .elc
file with an explicit extension -- that should NOT trigger
native-compilation even if there's no up-to-date .eln file.